Bug 236828 - Connection very unstable with iwlwifi driver
Connection very unstable with iwlwifi driver
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: John W. Linville
Brian Brock
: Reopened
Depends On:
Blocks: FC7Target
  Show dependency treegraph
 
Reported: 2007-04-17 16:33 EDT by Adam Huffman
Modified: 2007-11-30 17:12 EST (History)
9 users (show)

See Also:
Fixed In Version: 2.6.22-8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-30 14:10:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg output (77.07 KB, text/plain)
2007-04-17 16:33 EDT, Adam Huffman
no flags Details
Relevant dmesg output when network association lost (261 bytes, text/plain)
2007-05-16 17:35 EDT, Adam Huffman
no flags Details
Excerpt from /var/log/messages (13.07 KB, text/plain)
2007-05-21 18:45 EDT, Adam Huffman
no flags Details
dmesg output encompassing failure of wireless connectivity (33.52 KB, text/plain)
2007-05-23 13:45 EDT, Adam Huffman
no flags Details

  None (edit)
Description Adam Huffman 2007-04-17 16:33:48 EDT
Description of problem:
I am able to connect to a WPA-enabled network with the iwlwifi driver, but the
connection fails after a minute or so.

Version-Release number of selected component (if applicable):
2.6.20-1.3079.fc7

How reproducible:
Every time

Steps to Reproduce:
1. Connect to WPA network via Network Manager
2.
3.
  
Actual results:

Connection succeeds initially but fails after roughly a minute.

Expected results:

Connection should succeed and remain.

Additional info:
Comment 1 Adam Huffman 2007-04-17 16:33:48 EDT
Created attachment 152850 [details]
dmesg output
Comment 2 John W. Linville 2007-04-24 11:00:09 EDT
Looks like there is a problem queueing messages from iwlwifi to the firmware 
on the ipw3945...
Comment 3 Bryan O'Sullivan 2007-04-25 15:18:21 EDT
This is a regression, by the way.  I have one successful kernel: 3056.  Nothing
before could associate at all, and everything since has failed after about 20 to
30 seconds.
Comment 4 Gareth Morgan 2007-04-25 15:21:25 EDT
This is also a problem on i386. I've been sent here from
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=235207

There's details of error messages I've been getting there.
Comment 5 Adam Huffman 2007-04-26 16:55:17 EDT
This still seems to be happening with kernel 2.6.20-1.3104.fc7.
Comment 6 Brenton D. Rothchild 2007-04-27 21:59:24 EDT
This was still not working (after 20-30 sec of success) with 2.6.21-1.3116.fc7.

For what it's worth, I tried manually installing mac80211-7.0.4 and
iwlwifi-0.0.13 and everything works GREAT.

I tried mac80211-7.0.8 and iwlwifi-0.0.14 and found I wasn't getting any traffic
at all again; NetworkManager yeilded a message:

NetworkManager: <WARN>  request_and_convert_scan_results(): card took too much
time scanning.  Get a better one.
Comment 7 Brenton D. Rothchild 2007-05-01 17:18:55 EDT
(In reply to comment #6)
> This was still not working (after 20-30 sec of success) with 2.6.21-1.3116.fc7.
> 
> For what it's worth, I tried manually installing mac80211-7.0.4 and
> iwlwifi-0.0.13 and everything works GREAT.
> 
> I tried mac80211-7.0.8 and iwlwifi-0.0.14 and found I wasn't getting any traffic
> at all again; NetworkManager yeilded a message:
> 
> NetworkManager: <WARN>  request_and_convert_scan_results(): card took too much
> time scanning.  Get a better one.

I've jumped to 2.6.21-1.3121 (and up) and I've had really great, out-of-the box
performance!  No problems that I can find after about 2GB of transfers... :)
Comment 8 Gareth Morgan 2007-05-01 18:39:59 EDT
Where is kernel 3121. I've just upgraded and I only got 3116. In any case
/var/log/messages gives me this for 3116.

May  1 23:28:01 garlaptop kernel: BUG: warning at
include/asm/dma-mapping.h:25/dma_map_single() (Not tainted)
May  1 23:28:01 garlaptop kernel:  [<c04061e9>] show_trace_log_lvl+0x1a/0x2f
May  1 23:28:01 garlaptop kernel:  [<c04067ad>] show_trace+0x12/0x14
May  1 23:28:01 garlaptop kernel:  [<c0406831>] dump_stack+0x16/0x18
May  1 23:28:01 garlaptop kernel:  [<f8b08708>] d_tx+0x7f2/0xd69 [iwlwifi]
May  1 23:28:01 garlaptop kernel:  [<f8ada759>] __ieee80211_tx+0x20/0xec [mac80211]
May  1 23:28:01 garlaptop kernel:  [<f8adc61b>]
ieee80211_master_start_xmit+0x410/0x50e [mac80211]
May  1 23:28:01 garlaptop kernel:  [<c05b41b2>] dev_hard_start_xmit+0x1ce/0x22b
May  1 23:28:01 garlaptop kernel:  [<c05c1cee>] __qdisc_run+0xdb/0x195
May  1 23:28:01 garlaptop kernel:  [<c05b4ee5>] net_tx_action+0xc2/0xeb
May  1 23:28:01 garlaptop kernel:  [<c042bfa7>] __do_softirq+0x6f/0xe2
May  1 23:28:01 garlaptop kernel:  [<c0407420>] do_softirq+0x61/0xd0
May  1 23:28:01 garlaptop kernel:  [<c042bdd2>] local_bh_enable_ip+0xb9/0xdf
May  1 23:28:01 garlaptop kernel:  [<c06160bd>] _spin_unlock_bh+0x25/0x28
May  1 23:28:01 garlaptop kernel:  [<f8ae8c9e>]
ieee80211_scan_completed+0xdf/0x109 [mac80211]
May  1 23:28:01 garlaptop kernel:  [<f8aea0ef>]
ieee80211_sta_scan_work+0x63/0x199 [mac80211]
May  1 23:28:01 garlaptop kernel:  [<c043510f>] run_workqueue+0x89/0x14e
May  1 23:28:01 garlaptop kernel:  [<c0435b25>] worker_thread+0xf8/0x124
May  1 23:28:01 garlaptop kernel:  [<c043832b>] kthread+0xb3/0xdc
May  1 23:28:01 garlaptop kernel:  [<c0405cd3>] kernel_thread_helper+0x7/0x10
May  1 23:28:01 garlaptop kernel:  =======================
May  1 23:28:03 garlaptop ntpd[2512]: sendto(195.244.96.13) (fd=21): Invalid
argument
May  1 23:28:05 garlaptop ntpd[2512]: sendto(193.190.138.82) (fd=21): Invalid
argument

Along with the original 

May  1 23:28:01 garlaptop kernel: iwlwifi: Error sending RXON: ipw_queue_tx_hcmd
failed: -28
May  1 23:28:01 garlaptop kernel: iwlwifi: Error clearing ASSOC_MSK on current
configuration (-28).
May  1 23:28:01 garlaptop kernel: iwlwifi: No space for Tx
May  1 23:28:01 garlaptop kernel: iwlwifi: Error sending RXON_ASSOC:
ipw_queue_tx_hcmd failed: -28
May  1 23:28:01 garlaptop kernel: iwlwifi: Error setting non-tune configuration
(-28).

and the one above about card took too much time scanning.
Comment 9 Chuck Ebbert 2007-05-01 18:44:15 EDT
Davej's latest kernel is at:

http://people.redhat.com/davej/kernels/Fedora/
Comment 10 Adam Huffman 2007-05-16 11:00:14 EDT
I think this should be re-opened.  It was only last night with a newer
wireless-tools package that I was able to see any wireless networks.  Although I
could associate and authenticate, the connection dropped after a minute or so
and in fact interfered with use of the keyboard.  I'll post the relevant logs
this evening.
Comment 11 Adam Huffman 2007-05-16 17:35:45 EDT
Created attachment 154877 [details]
Relevant dmesg output when network association lost

The iwl3945 driver seemed to be affecting the system when it lost association
with the network - the load went up to over 6 and I was unable to restart
NetworkManager, having to reboot in the end.
Comment 12 Adam Huffman 2007-05-21 18:08:27 EDT
As reported in bug 238603, the driver is still pretty unreliable with kernel
2.6.21-1.3167.fc7 and the latest firmware downloaded directly from Intel.
Comment 13 Adam Huffman 2007-05-21 18:45:10 EDT
Created attachment 155135 [details]
Excerpt from /var/log/messages

This excerpt covers the most recent connection to my WPA network.  When it
failed, 
the keyboard became non-responsive - possibly the result of interrupt problems
with the iwl3945 driver?
Comment 14 Adam Huffman 2007-05-23 13:43:34 EDT
Just re-tested with 2.6.21-1.3190.  The driver still doesn't seem to be able to
hold an association, though at least the keyboard is responsive when it fails. 
I should clarify that the association fails functionally, in that pings do not
work.  I shall add the relevant log files separately.
Comment 15 Adam Huffman 2007-05-23 13:45:34 EDT
Created attachment 155280 [details]
dmesg output encompassing failure of wireless connectivity
Comment 16 Adam Huffman 2007-05-24 19:31:52 EDT
Things seem to be a lot better with kernel 1.3194 - the connection has stayed up
for several hours now.  However, I'm getting lots of these messages:

iwl3945: REPLY_ADD_STA failed

and media playback over NFS is quite jittery at times.
Comment 17 Will Woods 2007-05-29 10:11:17 EDT
Driver seems tolerable - moving to FC7Target
Comment 18 Adam Huffman 2007-05-29 13:33:18 EDT
I think tolerable is fair - throughput is very much slower than with ipw3945 but
it does work for browsing, downloading updates etc.  For me, anyway,
Comment 19 John W. Linville 2007-07-13 11:52:38 EDT
Please try the kernels from here:

   http://koji.fedoraproject.org/koji/buildinfo?buildID=10941

Do they work any better for you?
Comment 20 Adam Huffman 2007-07-14 09:54:54 EDT
Unfortunately, they're actually worse.  Here's the dmesg from the 2.6.22-8 kernel:

iwl3945: Intel(R) PRO/Wireless 3945ABG/BG Network Connection driver for Linux,
0.0.36kd
iwl3945: Copyright(c) 2003-2007 Intel Corporation
iwl3945: Detected Intel PRO/Wireless 3945ABG Network Connection
iwl3945: Could not read microcode: -22
iwl3945: probe of 0000:06:00.0 failed with error -22

Is a new firmware package needed?

I've gone back to ipw3945 for the moment as the iwl driver reliably fails during
NFS/SMB streaming.
Comment 21 Will Woods 2007-07-15 12:21:04 EDT
Yes, new firmware is needed. You can get iwlwifi-3945 firmware from here:
http://intellinuxwireless.org/index.php?n=Downloads
Comment 22 Adam Huffman 2007-07-16 16:09:29 EDT
The wireless interface does come up now I've installed the firmware.  I'll test
it a bit more to see how stable it is.
Comment 23 John W. Linville 2007-07-30 14:10:04 EDT
Closing under the presumption that new firmware resovled the issue...please 
reopen if this is not the case.

Note You need to log in before you can comment on or make changes to this bug.